/*这是一个计算工作日和假日的程序
	题目：
	某职员每工作4天就有2天休息日，写一程序当输入某一天时，计算出是否为该职员的工作日。
	同时为该职员列出一份工作日和休息日的时间表。
	已知2004年1月22，23日放假。
×/

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

								JJJJJJJJ									MMMM		MMMM
									 JJ										 MM  MM	 MM	 MM
									 JJ    								MM    MMMM		MM
									 JJ									 MM	     				 MM
									 JJ									 MM							 MM
							  JJ JJ								   MM							 MM
							  JJJJJ								   MM							 MM
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

#include <stdio.h>
#include <conio.h>

#define year_start 2004
#define month_start 1
#define day_start 22

//计算某年是否是润年
int leapyear(int *year)
{
	if ((*year%4==0&&*year%100!=0)||(*year%400==0))
	{
		return 1;
	}
	return 0;
}

//计算某日到2004年1月22日中间间隔天数
int distance(int *year,int *month,int *day)
{
	int year_distant,month_distant,day_distant;
	year_distant=*year-year_start-1;
		

void main(void)
{
	

}
